Bug 493877 - S-c-tools cleanup: be more verbose, status, progress bar
S-c-tools cleanup: be more verbose, status, progress bar
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493621
  Show dependency treegraph
 
Reported: 2009-04-03 06:07 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-21 16:01:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-04-03 06:07:16 EDT
Description of problem:
User is not notified that tool is something doing and/or something goes wrong.

How reproducible:
Steps to Reproduce:

Actual results:
Expected results:

Additional info:
Use status bar, progress bar and/or message dialogs...
Comment 1 Jaroslav Reznik 2009-06-26 06:29:48 EDT
Especially startup takes too long without any visual response even on fast workstation. S-c-selinux should first show main window, then show progress of loading.
Comment 2 Christopher Pardy 2009-06-26 17:07:17 EDT
Upcoming release does less loading before displaying the gui and uses progress bars. After next release if the program still seems slow to initially start I will add a start up dialogue to inform the user that they have successfully launched their app.

Note You need to log in before you can comment on or make changes to this bug.